/[gentoo-x86]/eclass/gst-plugins-good.eclass
Gentoo

Diff of /eclass/gst-plugins-good.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.20 Revision 1.27
1# Copyright 1999-2004 Gentoo Foundation 1# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins-good.eclass,v 1.20 2010/07/28 05:17:58 leio Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins-good.eclass,v 1.27 2012/05/02 18:31:42 jdhore Exp $
4 4
5# Author : foser <foser@gentoo.org>, zaheerm <zaheerm@gentoo.org> 5# Author : foser <foser@gentoo.org>, zaheerm <zaheerm@gentoo.org>
6 6
7# gst-plugins-good eclass 7# gst-plugins-good eclass
8# 8#
12# 3rd party applications using gstreamer now should depend on a set of plugins as 12# 3rd party applications using gstreamer now should depend on a set of plugins as
13# defined in the source, obtain recommended plugins to use from 13# defined in the source, obtain recommended plugins to use from
14# Gentoo developers responsible for gstreamer <gnome@gentoo.org>, the application developer 14# Gentoo developers responsible for gstreamer <gnome@gentoo.org>, the application developer
15# or the gstreamer team. 15# or the gstreamer team.
16 16
17inherit eutils gst-plugins10 17inherit eutils versionator gst-plugins10
18 18
19 19
20### 20###
21# variable declarations 21# variable declarations
22### 22###
28 28
29# First line for non-plugin build related configure options; second line for 29# First line for non-plugin build related configure options; second line for
30# sys/ plugins; rest is split plugin options in order of ./configure --help output. 30# sys/ plugins; rest is split plugin options in order of ./configure --help output.
31# Good ways of validation are seeing diff of old and new configure.ac, and ./configure --help 31# Good ways of validation are seeing diff of old and new configure.ac, and ./configure --help
32# 32#
33# This list is current to gst-plugins-good-0.10.21: 33# This list is current to gst-plugins-good-0.10.28:
34my_gst_plugins_good="gconftool zlib bz2 34my_gst_plugins_good="gconftool zlib bz2
35directsound oss sunaudio osx_audio osx_video gst_v4l2 x xshm xvideo 35directsound oss oss4 sunaudio osx_audio osx_video gst_v4l2 x xshm xvideo
36aalib aalibtest annodex cairo esd esdtest flac gconf gdk_pixbuf hal jpeg 36aalib aalibtest annodex cairo esd esdtest flac gconf gdk_pixbuf hal jpeg
37libcaca libdv libpng pulse dv1394 shout2 shout2test soup speex taglib wavpack" 37libcaca libdv libpng pulse dv1394 shout2 shout2test soup speex taglib wavpack"
38
39# When adding conditionals like below, be careful about having leading spaces in concat
40
41# cairooverlay added to the cairo plugin under cairo_gobject
42if version_is_at_least "0.10.29"; then
43 my_gst_plugins_good+=" cairo_gobject"
44fi
45
46# ext/jack moved here since 0.10.27
47if version_is_at_least "0.10.27"; then
48 my_gst_plugins_good+=" jack"
49fi
38 50
39#SRC_URI="mirror://gnome/sources/gst-plugins/${PV_MAJ_MIN}/${MY_P}.tar.bz2" 51#SRC_URI="mirror://gnome/sources/gst-plugins/${PV_MAJ_MIN}/${MY_P}.tar.bz2"
40SRC_URI="http://gstreamer.freedesktop.org/src/gst-plugins-good/${MY_P}.tar.bz2" 52SRC_URI="http://gstreamer.freedesktop.org/src/gst-plugins-good/${MY_P}.tar.bz2"
41 53
42S=${WORKDIR}/${MY_P} 54S=${WORKDIR}/${MY_P}
44# 6/2/2006 - zaheerm 56# 6/2/2006 - zaheerm
45if [ "${PN}" != "${MY_PN}" ]; then 57if [ "${PN}" != "${MY_PN}" ]; then
46RDEPEND="=media-libs/gst-plugins-base-0.10*" 58RDEPEND="=media-libs/gst-plugins-base-0.10*"
47DEPEND="${RDEPEND} 59DEPEND="${RDEPEND}
48 >=sys-apps/sed-4 60 >=sys-apps/sed-4
49 dev-util/pkgconfig" 61 virtual/pkgconfig"
62
63# -good-0.10.24 uses orc optionally instead of liboil unconditionally.
64# While <0.10.24 configure always checks for liboil, it is linked to only by non-split
65# plugins in gst/, so we only builddep for all old packages, and have a RDEPEND in old
66# versions of media-libs/gst-plugins-good
67if ! version_is_at_least "0.10.24"; then
68DEPEND="${DEPEND} >=dev-libs/liboil-0.3.8"
69fi
70
50RESTRICT=test 71RESTRICT=test
51fi 72fi
52 73
53### 74###
54# public functions 75# public functions

Legend:
Removed from v.1.20  
changed lines
  Added in v.1.27

  ViewVC Help
Powered by ViewVC 1.1.20